Name:           pguiman
Version:        0.0.1
Release:        3%{?dist}
Summary:        The PostgreSQL database server managing tool
Group:          Applications/Databases
License:        GPLv2+
URL:            http://pguiman.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  
%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.6.0
%define libgnomeui_version 2.3.0
%define libglade_version 2.4.0

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  libglade2-devel >= %{libglade_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  postgresql-devel
BuildRequires:  desktop-file-utils
Requires:       gtk2 >= %{gtk2_version}

%description
The PostgreSQL Manager is a graphical user interface for administration of 
a PostgreSQL database server. Users new to PostgreSQL database server can use 
this tool to quickly set up a working database. 

%prep
%setup -q

%build
%configure --enable-consolehelper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor fedora --dir $RPM_BUILD_ROOT/%{_datadir}/applications  %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README 

%{_bindir}/%{name}

%{_datadir}/applications/fedora-%{name}.desktop

%dir %{_datadir}/%{name}/glade/
%{_datadir}/%{name}/glade/*.glade

%dir %{_datadir}/%{name}/pixmaps/
%{_datadir}/%{name}/pixmaps/*

%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Sep 18 2007 Ondrej Dvoracek <odvorace@redhat.com> 0.0.1-3
- added documentation link

* Thu Sep 06 2007 Ondrej Dvoracek <odvorace@redhat.com> 0.0.1-2
- resolves #260441 at bugzilla.redhat.com
- corrected spec file

* Thu Aug 08 2007 Ondrej Dvoracek <odvorace@redhat.com> 0.0.1-1
- Initial build
